package com.hyp.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hyp.system.domain.RewScoreInfo;
import com.hyp.system.domain.dto.ApplyInfoListDTO;
import com.hyp.system.domain.vo.ApplyInfoListVO;
import com.hyp.system.mapper.RewApplyInfoListMapper;
import com.hyp.system.mapper.RewScoreInfoMapper;
import com.hyp.system.service.RewScoreInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author wangxy
* @description 针对表【rew_score_info(评分表)】的数据库操作Service实现
* @createDate 2024-04-11 09:20:53
*/
@Service
public class RewScoreInfoServiceImpl extends ServiceImpl<RewScoreInfoMapper, RewScoreInfo>
    implements RewScoreInfoService {


    @Resource
    private RewScoreInfoMapper rewScoreInfoMapper;


    /**
     *
     *  查询平均分
     * @param applyId
     * @return java.util.List<com.hyp.system.domain.vo.ApplyInfoListVO>
     */
    @Override
    public String  avgRewScore(String applyId)
    {
        return rewScoreInfoMapper.avgRewScore(applyId);
    }

}




